Name:          curlftpfs
Version:       0.9.2
Release:       3mamba
Summary:       A FTP filesystem based on cURL and FUSE
Group:         Applications/Networking
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://curlftpfs.sourceforge.net/
Source:        http://downloads.sourceforge.net/project/curlftpfs/curlftpfs/%{version}/curlftpfs-%{version}.tar.gz
Patch0:        curlftpfs-0.9.2-ioerror.patch
Patch1:        curlftpfs-0.9.2-no-verify-hostname.patch
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libcurl-devel
BuildRequires: libfuse-devel
BuildRequires: libglib-devel
## AUTOBUILDREQ-END
Requires:      fuse

%description
CurlFtpFS is a filesystem for accessing FTP hosts based on FUSE and libcurl.

%prep
%setup -q
%patch 0 -p1 -b .ioerror
%patch 1 -p1 -b .no-verify-hostname

%build
%configure
%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files
%defattr(-,root,root)
%{_bindir}/curlftpfs
%{_mandir}/man1/curlftpfs.1*
%doc COPYING

%changelog
* Mon Mar 03 2025 Silvan Calarco <silvan.calarco@mambasoft.it> 0.9.2-3mamba
- rebuilt

* Sat Sep 03 2022 Automatic Build System <autodist@mambasoft.it> 0.9.2-2mamba
- automatic rebuild by autodist

* Mon Nov 29 2010 Stefano Cotta Ramusino <stefano.cotta@openmamba.org> 0.9.2-1mamba
- package created by autospec
- fixed bug 580609
